Skip to main content
POST
/
api
/
v2
/
platform
/
taxons
Create a Taxon
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    taxon: {
      taxonomy_id: '<string>',
      name: '<string>',
      parent_id: '<string>',
      public_metadata: {ability_to_recycle: '90%'},
      private_metadata: {profitability: 2}
    }
  })
};

fetch('http://{defaultHost}/api/v2/platform/taxons', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "47",
    "type": "taxon",
    "attributes": {
      "position": 0,
      "name": "taxon_17",
      "permalink": "taxonomy-27/taxon-17",
      "lft": 4,
      "rgt": 5,
      "description": null,
      "created_at": "2022-11-08T19:35:50.279Z",
      "updated_at": "2022-11-08T19:35:50.283Z",
      "meta_title": null,
      "meta_description": null,
      "meta_keywords": null,
      "depth": 1,
      "public_metadata": {},
      "private_metadata": {},
      "pretty_name": "taxonomy_27 -> taxon_17",
      "seo_title": "taxon_17",
      "is_root": false,
      "is_child": true,
      "is_leaf": true
    },
    "relationships": {
      "parent": {
        "data": {
          "id": "45",
          "type": "taxon"
        }
      },
      "taxonomy": {
        "data": {
          "id": "27",
          "type": "taxonomy"
        }
      },
      "children": {
        "data": []
      },
      "image": {
        "data": null
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
taxon
object
required

Response

Record created

data
object
required